Bug 211812 - Rpmbuild miscompiles libX11 - deadlocks with XInitThreads
Summary: Rpmbuild miscompiles libX11 - deadlocks with XInitThreads
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: libX11 (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-23 08:23 UTC by Ivan Gyurdiev
Modified: 2018-04-11 16:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-13 01:45:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ivan Gyurdiev 2006-10-23 08:23:53 UTC
Wine recently enabled XInitThreads, and now all my wine applications deadlock,
including notepad (the wine version). Tracking down the problem brings me to a
call to XFilterEvent, which does not complete. The previous X call is always
XCheckIfEvent.

Interestingly enough, compiling the same version of libX11 on my computer does
not deadlock. Compiling with the extra patches and configure flags from the spec
file still does not deadlock. Compiling with rpmbuild will deadlock every single
time - I guess CFLAGS are breaking it.. FORTIFY_SOURCE, GNU_HASH and such..?

This is the 32-bit version of libX11 on amd x86_64, in case that makes any
difference... libX11-1.0.3-4.fc6, Fedora Rawhide.

Comment 1 Matěj Cepl 2007-09-12 00:34:29 UTC
Since this bugzilla report was filed, there have been several major updates,
which may have resolved this issue. Users who have experienced this problem are
encouraged to upgrade their system to the latest version of their distribution
available.

Please, if you experience this problem on the up-to-date system, let us now in
the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as
INSUFFICIENT_DATA. Thank you.


Comment 2 Ivan Gyurdiev 2007-09-13 01:45:53 UTC
I think this is now resolved... closing.


Note You need to log in before you can comment on or make changes to this bug.